### Signal

# Json Parser::array-element

#### Declaration

    void
    array_element (
      JsonParser* self,
      JsonArray* array,
      gint index_,
      gpointer user_data
    )

#### Description [src]

The `::array-element` signal is emitted each time a parser has successfully parsed a single element of a JSON array.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`array`

  Type: `JsonArray`

  A JSON array.

  The data is owned by the caller of the function.

`index_`

  Type: `gint`

  The index of the newly parsed array element.